#!/bin/sh

#
# configure and compile libtool for scratchbox target
#
# target name is to passed as argument
#

if test "$1" = "" ; then 
	exit 1;
fi
TARGET_NAME=$1

LIBTOOL=libtool-1.5.2
WORKDIR=`mktemp -d -p $HOME`

LIBTOOL_PKG=/scratchbox/packages/${LIBTOOL}.tar.gz 
LIBTOOL_SRC_DIR=${WORKDIR}/${LIBTOOL}

INSTALL_PREFIX=/host_usr/libtool/$TARGET_NAME

cd $WORKDIR
tar -xzf $LIBTOOL_PKG

rm -rf $INSTALL_PREFIX 2>/dev/null

cd $LIBTOOL_SRC_DIR

echo "configuring libtool for $TARGET_NAME target"
echo "this may take a while..."

./configure --prefix $INSTALL_PREFIX > /dev/null 2>&1 
make > /dev/null 2>&1 
make install > /dev/null 2>&1 

rm -rf $WORKDIR

echo "libtool installed to $INSTALL_PREFIX/bin/libtool"
